Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.timestamping.protocol.v2
Class TSConsultTSBagResponse

    java.lang.Object
      be.fgov.ehealth.timestamping.protocol.v2.TSConsultTSBagResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:14:59+01:00",
               comments="JAXB RI v2.3.6")
    public class TSConsultTSBagResponse

extends Object
implements Serializable

response to the TSConsultTSBagResquest

Java class for TSConsultTSBagResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TSConsultTSBagResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Error" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}ErrorType" minOccurs="0"/>
             <element name="TSBag" type="{urn:be:fgov:ehealth:timestamping:protocol:v2}TSBagType" maxOccurs="10" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`TSConsultTSBagResponse()`

Method Summary
`ErrorType` | `getError()` Gets the value of the error property.
`List<TSBagType>` | `getTSBags()` Gets the value of the tsBags property.
`void` | `setError(ErrorType value)` Sets the value of the error property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TSConsultTSBagResponse

    public TSConsultTSBagResponse()

Method Detail

### getError

    public ErrorType getError()

  Gets the value of the error property.

  Returns:
    possible object is `ErrorType`

### setError

    public void setError(ErrorType value)

  Sets the value of the error property.

  Parameters:
    `value` - allowed object is `ErrorType`

### getTSBags

    public List<TSBagType> getTSBags()

  Gets the value of the tsBags property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the tsBags property.

  For example, to add a new item, do as follows:

          getTSBags().add(newItem);

  Objects of the following type(s) are allowed in the list `TSBagType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.